Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/taskd: add pki subpackage

From: Christian Kampka <christian_at_kampka.net>
Date: Wed, 5 Aug 2015 21:48:11 +0200

Taskd ships with a set of PKI certificate management tools
to generate a CA and respective client keys and certs for connecting
to taskd. Although these tools are far from beeing a complete and
advisable ways of handling PKI, they are certainly useful to get
started with taskd.
---
 testing/taskd/APKBUILD | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)
diff --git a/testing/taskd/APKBUILD b/testing/taskd/APKBUILD
index 80982ca..f586c2f 100644
--- a/testing/taskd/APKBUILD
+++ b/testing/taskd/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=taskd
 pkgver=1.1.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Taskserver synchronises taskwarrior across multiple clients"
 url="http://taskwarrior.org"
 arch="all"
_at_@ -11,7 +11,7 @@ depends=""
 depends_dev="gnutls-dev util-linux-dev"
 makedepends="$depends_dev cmake"
 install=""
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc $pkgname-pki"
 source="http://taskwarrior.org/download/${pkgname}-${pkgver}.tar.gz
 	Path.cpp.patch
 	Directory.cpp.patch"
_at_@ -34,6 +34,13 @@ build() {
 	make || return 1
 }
 
+pki () {
+	pkgdesc="Tools for taskd PKI management"
+	depends="taskd gnutls-utils"
+	mkdir -p "$subpkgdir"/usr/share/taskd
+	mv "${_builddir}/pki" "$subpkgdir"/usr/share/taskd || return 1
+}
+
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Aug 05 2015 - 21:48:11 GMT